<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('x_files', function (Blueprint $table) {
            $table->increments('xid');
            $table->string('xmarking', 250)->unique();
            $table->text('xtabel')->nullable();
            $table->string('xjenis', 250)->nullable();
            $table->longText('xfile')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('x_files');
    }
};
